Bug 1258916 - hawkey: RFE: add support for ignoring weak deps
hawkey: RFE: add support for ignoring weak deps
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: hawkey (Show other bugs)
epel7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Simacek
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-01 10:10 EDT by Mikolaj Izdebski
Modified: 2015-11-26 00:25 EST (History)
5 users (show)

See Also:
Fixed In Version: 0.5.3-3 hawkey-0.5.3-3.el7
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-26 00:25:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2015-09-01 10:10:40 EDT
Please add support for ignoring weak dependencies during dependency solving.

This feature was implemented upstream in following commits:
https://github.com/rpm-software-management/hawkey/commit/d2204a5
https://github.com/rpm-software-management/hawkey/commit/1241484
Comment 1 Mikolaj Izdebski 2015-09-29 16:05:12 EDT
Could we have this feature backported to EPEL 7? It is needed by Koschei (https://fedoraproject.org/wiki/Koschei) to resolve dependencies the same way as mock in Fedora rawhide, which ignores weak deps. I can provide patch for the spec file if you like.
Comment 2 Mikolaj Izdebski 2015-10-27 07:06:52 EDT
Can we please get this implemented? I can provide patch and/or become comaintainer if you don't have time to do that yourself.
Comment 3 Michael Simacek 2015-11-09 07:38:27 EST
I'll apply the patch as agreed via email.
Comment 4 Fedora Update System 2015-11-09 09:32:41 EST
hawkey-0.5.3-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-839c65c8f9
Comment 5 Fedora Update System 2015-11-09 14:49:53 EST
hawkey-0.5.3-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update hawkey'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-839c65c8f9
Comment 6 Fedora Update System 2015-11-26 00:25:35 EST
hawkey-0.5.3-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.